PLSCMAP0A(3)

NAME
plscmap0a - Set cmap0 colors by 8-bit RGB values and PLFLT alpha transparency value

SYNOPSIS
plscmap0a(r, g, b, alpha, ncol0)

DESCRIPTION

Set cmap0 colors using 8-bit RGB values (see the PLplot documentation) and PLFLT alpha transparency value. This sets the entire color map -- only as many colors as specified will be allocated.

Redacted form: plscmap0a(r, g, b, alpha)

This function is used in examples 30.

ARGUMENTS

r (PLINT_VECTOR(3), input)
    A vector containing unsigned 8-bit integers (0-255) representing the degree of red in the color.

g (PLINT_VECTOR(3), input)
    A vector containing unsigned 8-bit integers (0-255) representing the degree of green in the color.

b (PLINT_VECTOR(3), input)
    A vector containing unsigned 8-bit integers (0-255) representing the degree of blue in the color.

alpha (PLFLT_VECTOR(3), input)
    A vector containing values (0.0-1.0) representing the alpha transparency of the color.

ncol0 (PLINT(3), input)
    Number of items in the r, g, b, and alpha vectors.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.